# Filename: gui_numberbox.py
# Purpose:  Create a GUI panel showing a numberbox.
# Results:  Number entered into numberbox is printed to the screen.

from maptek import vulcan_gui

pan = vulcan_gui.panel("Basic Panel")
pan.numberbox(tag='numberbox_input', prompt='Numberbox', defaultVal=None, width=20)
pan.display()

num = pan['numberbox_input']
print(num)